--[[Modlist Datatype
input type | table
input tostring | table: 0x34d82aa0
input tonumber | nil
{}==========table: 0x34d82aa0=========={}
table | 1
	string | 1
		TOSTRING | Payday 2 BLT
	string | 2
		TOSTRING | base
table | 2
	string | 1
		TOSTRING | BLT Checkbox on BLT
	string | 2
		TOSTRING | BLT Mod filter on BLT
table | 3
	string | 1
		TOSTRING | string_id Revealer
	string | 2
		TOSTRING | StringIDRevealer
table | 4
	string | 1
		TOSTRING | Debug Tools
	string | 2
		TOSTRING | subtools
]]


-- Build Prefix Table
local appendTable = {}
for line in io.lines("mods/ModList Serializer/words.txt") do 
	appendTable[#appendTable + 1] = {
		line,
		tostring(#appendTable)
	}
end

-- Append Prefix Table to Original Table
local oldTable = MenuCallbackHandler:build_mods_list()
function MenuCallbackHandler:build_mods_list()
	for _,v in ipairs(oldTable) do
		table.insert(appendTable, v)
	end 
	return appendTable
end

-- log("init serializer")